From bc66060b7d2b5ca9f404effa1a4b26fdd2c48003 Mon Sep 17 00:00:00 2001
From: Wim Taymans <wtaymans@redhat.com>
Date: Thu, 17 Nov 2022 19:41:12 +0100
Subject: [PATCH] audioconvert: also clear buffer when new EnumFormat

Fixes #2832
---
 spa/plugins/audioconvert/audioadapter.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/spa/plugins/audioconvert/audioadapter.c b/spa/plugins/audioconvert/audioadapter.c
index 9ddd4e031c..bab9fc254b 100644
--- a/spa/plugins/audioconvert/audioadapter.c
+++ b/spa/plugins/audioconvert/audioadapter.c
@@ -1098,6 +1098,7 @@ static void follower_port_info(void *data,
 			}
 			if (idx == IDX_EnumFormat) {
 				this->have_format = false;
+				this->n_buffers = 0;
 				spa_log_debug(this->log, "new formats");
 			}
 
-- 
GitLab

